Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class SearchItemIterator

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
          com.beasys.commerce.ebusiness.catalog.service.query.SearchItemIterator

All Implemented Interfaces
  ViewIterator, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class SearchItemIterator

extends CatalogItemIterator

A `ViewIterator` over a set of `ProductItem`s that are the results of a Product Catalog search.

See Also
  `View`, `ViewIterator`, `CatalogItemIterator`, Serialized Form

Field Summary
`protected ProductItemKey[]` | `allKeys` Deprecated See BEA Commerce product offering
`protected ProductItem[]` | `items` Deprecated See BEA Commerce product offering
`protected ProductItemKey[]` | `keys` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`DEFAULT_VIEW_SIZE, VERBOSE`

Constructor Summary
`SearchItemIterator(String manangerJndiName, CatalogRequest catalogRequest, ProductItemKey[] keys, int viewSize)` Deprecated See BEA Commerce product offering

Method Summary
`protected CatalogItem` | `getCatalogItem(View view, int itemIndex)` Deprecated See BEA Commerce product offering
`protected void` | `refreshView(View view)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`getCatalogManager, getCatalogQueryManager, getCatalogRequest, getCategoryManager, getCurrentView, getCustomDataManager, getProductItemManager, getViewAt, getViewCount, gotoNextView, gotoPreviousView, gotoViewAt, hasNext, hasNextView, hasPreviousView, next, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allKeys

    protected ProductItemKey[] allKeys

  Deprecated See BEA Commerce product offering
  The product item identifiers that matched a search.

### items

    protected ProductItem[] items

  Deprecated See BEA Commerce product offering
  The current view's items.

### keys

    protected ProductItemKey[] keys

  Deprecated See BEA Commerce product offering
  The current view's keys.

Constructor Detail

### SearchItemIterator

    public SearchItemIterator(String manangerJndiName,
                              CatalogRequest catalogRequest,
                              ProductItemKey[] keys,
                              int viewSize)

  Deprecated See BEA Commerce product offering

  Constructor.

  Parameters
    `managerHandle` - handle to the ProductItemManager.
    `request` - the CatalogRequest.
    `keys` - the product item keys.
    `viewSize` - the size of the views.

Method Detail

### refreshView

    protected void refreshView(View view)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  This function is called whenever the current view needs to be refreshed. All classes that extend this class must implement this function.

  Specified by:
    `refreshView` in class `CatalogItemIterator`
  Parameters
    `view` - The view to refresh.
  Throws
    `RemoteException` - on remote error.

### getCatalogItem

    protected CatalogItem getCatalogItem(View view,
                                         int itemIndex)
                                  throws NoSuchElementException

  Deprecated See BEA Commerce product offering

  Returns a CatalogItem within the current view. All classes that extend this class must implement this function.

  Specified by:
    `getCatalogItem` in class `CatalogItemIterator`
  Parameters
    `view` - The current view.
    `itemIndex` - The index of the item to retrieve.
  Throws
    `NoSuchElementException` - If the item does not exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved